Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawPictureMotionParams Class Reference

Class encapsulating parameters for drawing the picture.

`#include <draw_overlay.h>`

List of all members.

## Public Member Functions

- DrawPictureMotionParams ()
    Default constuctor, does nothing.
- ~DrawPictureMotionParams ()
    Default destructor, does nothing.
- int MvYBlockY () const
    Gets.
- int MvYBlockX () const
    Returns luma motion vector block width.
- int MvUVBlockY () const
    Returns chroma motion vector height.
- int MvUVBlockX () const
    Returns chroma motion vector width.
- int ChromaFactorY () const
    Returns chroma - luma vertical smaple ratio.
- int ChromaFactorX () const
    Returns chroma - luma horizontal sample ratio.
- int PicY () const
    Returns original picture height.
- int PicX () const
    Returns original picture width.
- void SetMvYBlockY (int y)
    Sets.
- void SetMvYBlockX (int x)
    Set luma motion vector block width.
- void SetMvUVBlockY (int y)
    Set chroma motion vector block height.
- void SetMvUVBlockX (int x)
    Set chroma motion vector block width.
- void SetChromaFactorY (int y)
    Set chroma - luma vertical sample ratio.
- void SetChromaFactorX (int x)
    Set chroma - luma horizontal sample ratio.
- void SetPicY (int y)
    Set original picture height.
- void SetPicX (int x)
    Set original picture width.

## Private Attributes

- int m_mv_Y_block_y
    Motion vector block dimensions - luma.
- int m_mv_Y_block_x
- int m_mv_UV_block_y
    Motion vector block dimensions - chroma.
- int m_mv_UV_block_x
- int m_chroma_factor_y
    Chroma - luma sample ratio.
- int m_chroma_factor_x
- int m_pic_y
    Original picture dimensions.
- int m_pic_x

## Constructor & Destructor Documentation

dirac_instr::DrawPictureMotionParams::DrawPictureMotionParams | ( |  | ) | `[inline]`

dirac_instr::DrawPictureMotionParams::~DrawPictureMotionParams | ( |  | ) | `[inline]`

## Member Function Documentation

int dirac_instr::DrawPictureMotionParams::MvYBlockY | ( |  | ) | const`[inline]`

.. Returns luma motion vector block height

References m_mv_Y_block_y.

int dirac_instr::DrawPictureMotionParams::MvYBlockX | ( |  | ) | const`[inline]`

References m_mv_Y_block_x.

int dirac_instr::DrawPictureMotionParams::MvUVBlockY | ( |  | ) | const`[inline]`

References m_mv_UV_block_y.

int dirac_instr::DrawPictureMotionParams::MvUVBlockX | ( |  | ) | const`[inline]`

References m_mv_UV_block_x.

int dirac_instr::DrawPictureMotionParams::ChromaFactorY | ( |  | ) | const`[inline]`

References m_chroma_factor_y.

int dirac_instr::DrawPictureMotionParams::ChromaFactorX | ( |  | ) | const`[inline]`

References m_chroma_factor_x.

int dirac_instr::DrawPictureMotionParams::PicY | ( |  | ) | const`[inline]`

References m_pic_y.

int dirac_instr::DrawPictureMotionParams::PicX | ( |  | ) | const`[inline]`

References m_pic_x.

void dirac_instr::DrawPictureMotionParams::SetMvYBlockY | ( | int | y | ) | `[inline]`

.. Set luma motion vector block height

References m_mv_Y_block_y.

void dirac_instr::DrawPictureMotionParams::SetMvYBlockX | ( | int | x | ) | `[inline]`

References m_mv_Y_block_x.

void dirac_instr::DrawPictureMotionParams::SetMvUVBlockY | ( | int | y | ) | `[inline]`

References m_mv_UV_block_y.

void dirac_instr::DrawPictureMotionParams::SetMvUVBlockX | ( | int | x | ) | `[inline]`

References m_mv_UV_block_x.

void dirac_instr::DrawPictureMotionParams::SetChromaFactorY | ( | int | y | ) | `[inline]`

References m_chroma_factor_y.

void dirac_instr::DrawPictureMotionParams::SetChromaFactorX | ( | int | x | ) | `[inline]`

References m_chroma_factor_x.

void dirac_instr::DrawPictureMotionParams::SetPicY | ( | int | y | ) | `[inline]`

References m_pic_y.

void dirac_instr::DrawPictureMotionParams::SetPicX | ( | int | x | ) | `[inline]`

References m_pic_x.

## Member Data Documentation

int dirac_instr::DrawPictureMotionParams::m_mv_Y_block_y`[private]`

Referenced by MvYBlockY(), and SetMvYBlockY().

int dirac_instr::DrawPictureMotionParams::m_mv_Y_block_x`[private]`

Referenced by MvYBlockX(), and SetMvYBlockX().

int dirac_instr::DrawPictureMotionParams::m_mv_UV_block_y`[private]`

Referenced by MvUVBlockY(), and SetMvUVBlockY().

int dirac_instr::DrawPictureMotionParams::m_mv_UV_block_x`[private]`

Referenced by MvUVBlockX(), and SetMvUVBlockX().

int dirac_instr::DrawPictureMotionParams::m_chroma_factor_y`[private]`

Referenced by ChromaFactorY(), and SetChromaFactorY().

int dirac_instr::DrawPictureMotionParams::m_chroma_factor_x`[private]`

Referenced by ChromaFactorX(), and SetChromaFactorX().

int dirac_instr::DrawPictureMotionParams::m_pic_y`[private]`

Referenced by PicY(), and SetPicY().

int dirac_instr::DrawPictureMotionParams::m_pic_x`[private]`

Referenced by PicX(), and SetPicX().

The documentation for this class was generated from the following file:

- draw_overlay.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.